## golang-github-ulule-limiter 2.2.0

=== debian/changelog ===
golang-github-ulule-limiter (2.2.0-2) unstable; urgency=medium

  * Team upload.
  * Fixup "Expat" in copyright text.

 -- Alexandre Viau <aviau@debian.org>  Sun, 29 Jul 2018 05:40:25 -0400

golang-github-ulule-limiter (2.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #904250)

 -- Paride Legovini <pl@ninthfloor.org>  Sat, 21 Jul 2018 17:57:50 +0200

## golang-github-ulule-limiter 2.2.1

=== Makefile ===
.PHONY: test

cleandb:
	@(redis-cli KEYS "limitertests:*" | xargs redis-cli DEL)

test: cleandb
	@(scripts/test)

lint:
	@(scripts/lint)

=== debian/changelog ===
golang-github-ulule-limiter (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 05 Dec 2018 21:43:31 +0000

=== debian/control ===
Source: golang-github-ulule-limiter
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Paride Legovini <pl@ninthfloor.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-gin-gonic-gin-dev,
               golang-github-go-redis-redis-dev,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.1.5
Homepage: https://github.com/ulule/limiter
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ulule-limiter
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ulule-limiter.git
XS-Go-Import-Path: github.com/ulule/limiter
Testsuite: autopkgtest-pkg-go

Package: golang-github-ulule-limiter-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-gin-gonic-gin-dev,
         golang-github-go-redis-redis-dev,
         golang-github-pkg-errors-dev,
         golang-github-stretchr-testify-dev
Description: Dead simple rate limit middleware for Go
 Dead simple rate limit middleware for Go. Featuring:
 .
  * Simple API
  * "Store" approach for backend
  * Redis support (but not tied too)
  * Middlewares: HTTP and Gin

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-ulule-limiter-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/ulule/limiter/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-ulule-limiter 3.3.3

=== Makefile ===
.PHONY: test lint

test:
	@(scripts/test)

lint:
	@(scripts/lint)

=== debian/changelog ===
golang-github-ulule-limiter (3.3.3-1) unstable; urgency=medium

  * New upstream version 3.3.3.
  * Bump Standards-Version to 4.4.1 (no changes needed).
  * B-D on debhelper-compat 12; drop d/compat.
  * d/control: add Rules-Requires-Root: no.

 -- Paride Legovini <pl@ninthfloor.org>  Sun, 01 Dec 2019 15:52:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Paride Legovini <pl@ninthfloor.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-gin-gonic-gin-dev,
                golang-github-go-redis-redis-dev,
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.4.1
 Homepage: https://github.com/ulule/limiter
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ulule-limiter
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ulule-limiter.git
 XS-Go-Import-Path: github.com/ulule/limiter
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: golang-github-ulule-limiter-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	# Testing drivers/store/redis requires a running redis server, let's skip it.
	# To find test targets dh-golang uses the same mechanism it uses to find build
	# targets, so we can use DH_GOLANG_EXCLUDES to skip tests.
	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) drivers/store/redis" dh_auto_test

override_dh_auto_install:
	dh_auto_install

	# Workaround for #904261:
	for pkg in $(DH_GOLANG_EXCLUDES); do \
	    rm -rfv debian/*/usr/share/gocode/src/github.com/ulule/limiter/$$pkg;\
	    done
